### Method

# Gimp Matrix3 affine

#### Declaration [src]

    void
    gimp_matrix3_affine (
      GimpMatrix3* matrix,
      gdouble a,
      gdouble b,
      gdouble c,
      gdouble d,
      gdouble e,
      gdouble f
    )

#### Description [src]

Applies the affine transformation given by six values to `matrix`. The six values form define an affine transformation matrix as illustrated below:

( a c e ) ( b d f ) ( 0 0 1 )

#### Parameters

`a` | `gdouble`
| The ‘a’ coefficient.
`b` | `gdouble`
| The ‘b’ coefficient.
`c` | `gdouble`
| The ‘c’ coefficient.
`d` | `gdouble`
| The ‘d’ coefficient.
`e` | `gdouble`
| The ‘e’ coefficient.
`f` | `gdouble`
| The ‘f’ coefficient.